org.apache.solr.util.plugin

## Class NamedListPluginLoader<T extends NamedListInitializedPlugin>

- java.lang.Object
- - org.apache.solr.util.plugin.AbstractPluginLoader<T>
  - - org.apache.solr.util.plugin.NamedListPluginLoader<T>

-     public class NamedListPluginLoader<T extends NamedListInitializedPlugin>
      extends AbstractPluginLoader<T>

  Since:
    solr 1.3

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NamedListPluginLoader(String name, Class<T> pluginClassType, Map<String,T> map)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `init(T plugin, Node node)` Initialize the plugin.
    `protected T` | `register(String name, T plugin)` Register a plugin with a given name.

    - ### Methods inherited from class org.apache.solr.util.plugin.AbstractPluginLoader

      `create, getDefaultPackages, load, loadSingle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NamedListPluginLoader

          public NamedListPluginLoader(String name,
                                       Class<T> pluginClassType,
                                       Map<String,T> map)

  - ### Method Detail

    - #### init

          protected void init(T plugin,
                              Node node)
                       throws Exception

      Description copied from class: `AbstractPluginLoader`
      Initialize the plugin.
      Specified by:
        `init` in class `AbstractPluginLoader<T extends NamedListInitializedPlugin>`
      Parameters:
        `plugin` - - the plugin to initialize
        `node` - - the XML node defining this plugin
      Throws:
        `Exception`

    - #### register

          protected T register(String name,
                               T plugin)
                        throws Exception

      Description copied from class: `AbstractPluginLoader`
      Register a plugin with a given name.
      Specified by:
        `register` in class `AbstractPluginLoader<T extends NamedListInitializedPlugin>`
      Returns:
        The plugin previously registered to this name, or null
      Throws:
        `Exception`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.